AUTOMAKE(1)

NAME
automake - manual page for automake 1.11.1

SYNOPSIS
automake [OPTION] ... [Makefile]...

DESCRIPTION
Generate Makefile.in for configure from Makefile.am.

  Operation modes:

--help
    print this help, then exit

--version
    print version number, then exit

-v, --verbose
    verbosely list files processed

--no-force
    only update Makefile.in's that are out of date

-W, --warnings=CATEGORY
    report the warnings falling in CATEGORY

  Dependency tracking:

-i, --ignore-deps
    disable dependency tracking code

--include-deps
    enable dependency tracking code

  Flavors:

--cygnus
    assume program is part of Cygnus-style tree

--foreign
    set strictness to foreign

--gnits
    set strictness to gnits

--gnu
    set strictness to gnu

  Library files:

-a, --add-missing
    add missing standard files to package

--libdir=DIR
    directory storing library files

-c, --copy
    with -a, copy missing files (default is symlink)

-f, --force-missing
    force update of standard files

  Warning categories include:

`gnu'
    GNU coding standards (default in gnu and gnits modes)

`obsolete'
    obsolete features or constructions

`override'
    user redefinitions of Automake rules or variables

`portability'
    portability issues (default in gnu and gnits modes)

`syntax'
    dubious syntactic constructs (default)

`unsupported'
    unsupported or incomplete features (default)

`all'
    all the warnings

`no-CATEGORY'
    turn off warnings in CATEGORY

`none'
    turn off all the warnings

`error'
    treat warnings as errors

  Files which are automatically distributed, if found:

ABOUT-GNU
    README config.rpath ltcf-gcj.sh

ABOUT-NLS
    THANKS config.sub ltconfig

AUTHORS
    TODO configure ltmain.sh

BACKLOG
    acconfig.h configure.ac mdate-sh

COPYING
    aclocal.m4 configure.in missing

COPYING.DOC
    ansi2knr.1 depcomp mkinstalldirs

COPYING.LESSER
    ansi2knr.c elisp-comp py-compile

COPYING.LIB
    compile install-sh stamp-vti

ChangeLog
    config.guess libversion.in texinfo.tex

INSTALL
    config.h.bot ltcf-c.sh ylwrap

NEWS
    config.h.top ltcf-cxx.sh

AUTHOR
Written by Tom Tromey <tromey@redhat.com>

    and Alexandre Duret-Lutz <adl@gnu.org>.

REPORTING BUGS
Report bugs to <bug-automake@gnu.org>.

COPYRIGHT
Copyright © 2009 Free Software Foundation, Inc. License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl-2.0.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for automake is maintained as a Texinfo manual. If the info and automake programs are properly installed at your site, the command

    info automake

should give you access to the complete manual.